var arg, chord;

// arguments via process.argv for Node
if (typeof process !== 'undefined' && process.argv) {
  arg = process.argv[2];
} else {
  // arguments via arguments[] for JSC and Rhino
  arg = arguments[0];
}

if (typeof print === 'undefined') { // print() for Node
  var print = function(what) {
    console.log(what);
  };
}

if (!arg) {
  quitme();
}

// dependency via laod() for JSC and Rhino
if (typeof load === 'function') {
  load('../../lib/m.js');
  load('../../lib/in.js');
}
// dependency via common js require() for Node
if (typeof require === 'function' && typeof exports === 'object') {
  var mojo   = require('../../lib/m.js').mojo;
  mojo.input = require('../../lib/in.js').input;
}

chord = mojo.input.getChord(arg);

if (!chord) {
  quitme('Oh jazzy, I dunno this chord');
}
print(' ' + chord);
print(mojo.guitar.printChord(chord, 'tab'));

function quitme(m) {
  var cmd;
  if (m) {
    print(m);
  }
  print('usage:...');

  if (typeof environment !== 'undefined') {
    // rhino
    cmd = '$ java -jar rhino.jar mojotune.js ';
  } else if (typeof process !== 'undefined') {
    // node
    cmd = '$ node mojotune.js ';
  } else {
    // jsc
    cmd = '$ jsc mojotune.js -- ';
  }

  print(cmd + 'Am7');
  print(cmd + 'A,C,E,G');
  print(cmd + '1:0,2:1,3:2,4:2,5:0,6:x');
  if (typeof quit === 'function') {
    quit();
  } else {
    process.exit(1);
  }
}
