const widgets = require("widget");
const tabs = require("tabs");
var contextMenu = require("context-menu");
var request = require("request");
var selection = require("selection");
var mojo = require('m').mojo;
console.log(mojo.prettytones);

exports.main = function(options, callbacks) {
 
  // Create a new context menu item.
  var menuItem = contextMenu.Item({
 
    label: "Show chord",
 
    // Show this item when a selection exists.
    context: contextMenu.SelectionContext(),
 
    // When this item is clicked, post a message to the item with the
    // selected text
    contentScript: 'self.on("click", function () {' +
                   '  var sel = window.getSelection();' +
                   '  self.postMessage(sel.toString());' +
                   '});',
 
    // When we receive the message
    onMessage: function (text, anchor) {
      var ch = mojo.guitar.printChord(text, 'tab');
      var html = '<pre style=\\\"font-size: 20px\\\">' + ch.replace(/\n/g, '<br>') + '<br><br><p align=\\\"center\\\">' + text + '</p></pre>';
      var panel = require("panel").Panel({
        contentScript: 'document.body.innerHTML = "' + html + '";'
      });
      panel.show();

    }
  });
};

var widget = widgets.Widget({
  id: "mojo-link",
  label: "Mojotune chords",
  contentURL: "http://mojotune.com/favicon.ico",
  onClick: function() {
    tabs.open("http://www.mojotune.com/chords/ui/web/mojo.html");
  }
});

console.log("The add-on is running.");
