Titanium.include('m.js');

var win = Titanium.UI.currentWindow;
var tab = Titanium.UI.currentTab;

win.backgroundColor = 'black';


var label = Ti.UI.createLabel({
	text:'Pick a chord by name',
	width:'auto',
	height:'auto',
	textAlign:'center',
	color:'white',
	top: 40
});
win.add(label);



var picker = Ti.UI.createPicker();

var ch = Ti.UI.createPickerColumn({opacity:0});
for (var i = 0; i < mojo.prettytones.length; i++) {
	ch.addRow(Ti.UI.createPickerRow({title:mojo.prettytones[i]}));
}

var vars = Ti.UI.createPickerColumn();
for (var i = 0; i < mojo.allchords.length; i++) {
	vars.addRow(Ti.UI.createPickerRow({title:mojo.allchords[i]}));
}

// 2 columns as an array
picker.add([ch, vars]);

// turn on the selection indicator (off by default)
picker.selectionIndicator = true;
win.add(picker);


var newButton = Titanium.UI.createButtonBar({
    labels:[{title:'Show me', width:140}],
    style:Titanium.UI.iPhone.SystemButtonStyle.BAR,
    backgroundColor:'#009a0c',
    bottom:30,
    height:40,
    width:'auto',
    fontFamily: 'monospace'
  });
win.add(newButton);

picker.addEventListener('change',function(e) {
	var name = picker.getSelectedRow(0).title.split('/')[0];
	var type = picker.getSelectedRow(1).title
	label.text = name + type;
});

newButton.addEventListener('click', function(){
	var name = picker.getSelectedRow(0).title.split('/')[0];
	var type = picker.getSelectedRow(1).title;
	var chord = mojo.guitar.printChord(name + type, 'tab');
	/*
	var alertDialog = Titanium.UI.createAlertDialog({
	    title: 'And your chord....',
	    message: chord,
	    buttonNames: ['Awesome!']
	});
	alertDialog.show();
	*/
	var text = name + ' ' + mojo.getChordData(type).name + '\n\n';
	var res = Ti.UI.createWindow({
		title:'Chord ' + name + type,
		backgroundImage: 'deco/guitar.jpg',
	});  
	
	
	var filename = 'images/' + name.replace('#', '-sharp') + type + '.png';
	var f = Ti.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory, filename);

	var image = Titanium.UI.createImageView({
		image:f,
		backgroundColor: "rgba(255,255,255,0.85)",
		height:240,
	});
	
	res.add(image);
	var lbl = Ti.UI.createLabel({
		text: text,
		color: 'black',
		font:{fontSize:20, fontWeight: 'bold'},
		textAlign: 'center',
		top: -170
	});  
	res.add(lbl); 
	/*
	lbl = Ti.UI.createLabel({
		text: chord,
		color: 'white',
		font:{fontSize:20, fontFamily:'monospace', fontWeight: 'bold'},
	});  
	res.add(lbl); 
*/
	tab.open(res);
});
