function $(id) {
  return document.getElementById(id);
}
function showtabs() {
  var tabs = {byname: 1, bytones: 1, byfrets: 1},
      i;

  var tab = location.hash.replace('#', '');
  if (!tabs[tab]) {
    if (tab) {
      printResult({short:tab});
    }
    tab = 'byname';
  }
  
  for (i in tabs) {
    if (i === tab) {
      $(i).className = 'on';
      $('tab-' + i).className = 'active';
    } else {
      $(i).className = 'off';
      $('tab-' + i).className = 'activer';
    }
  }
  
}

// init
showtabs();
var i, tonesopt = '', vars = '';
for (i = 0; i < mojo.prettytones.length; i++) {
  tonesopt += '<option>' + mojo.prettytones[i] + '</option>';
}
for (i = 0; i < mojo.allchords.length; i++) {
  vars += '<option>' + mojo.allchords[i] + '</option>';
}

$('chordname').innerHTML = tonesopt;
$('variant').innerHTML = vars;

$('root').innerHTML = tonesopt;
tonesopt = '<option>--</option>' + tonesopt;
$('t1').innerHTML = tonesopt;
$('t2').innerHTML = tonesopt;
$('t3').innerHTML = tonesopt;

// end init

// events
$('tabs').onclick = function(){
  setTimeout(showtabs, 50);
};
$('gobyname').onclick = function() {
  var chord = $('chordname').value.split('/')[0] + $('variant').value;
  printResult({short: chord});
};

$('gobytones').onclick = function() {
  var tones = [], i, chord, val;
  tones.push($('root').value);
  for (i = 1; i <= 3; i++) {
    val = $('t' + i).value;
    if (val !== '--') {
      tones.push(val);
    }
  }
  chord = mojo.reverseChord(tones);
  if (!chord) {
    return result();
  }
  printResult(chord);
};

$('gobyfrets').onclick = function() {
  var i, 
      ins = $('frets').getElementsByTagName('input'),
      frets = {},
      chord;
  for (i = 0; i < ins.length; i++) {
    if (ins[i].type !== 'image') {
      frets[i + 1] = ins[i].value;
    }
  }
  chord = mojo.guitar.chordByFrets(frets);
  printResult(chord);
};

function printResult(chord) {
  if (!chord) {
    return result();
  }
  try {
    result(
      mojo.guitar.printChord(
        chord.short,
        'tab'
      ),
      chord.short
    );
  } catch (e){
    alert(e.message);
  } 
}

function result(m, chord) {
  if (!m) {
    alert("Ah, too jazzy");
    return;
  }
  if (chord) {
    $('resname').innerHTML = chord;
    $('resimage').src = 'images/' + chord.replace('#', '-sharp') + '.png';
  }
  $('resultarea').className = 'on';
}

function resetResult() {
  $('resname').innerHTML = chord;
  $('resimage').src = null;
}