var http = require('http'); 
http.createServer(function (req, res) {
  var 
    get  = require('url').parse(req.url, true).query,
    mojo = require('../../lib/m.js').mojo,
    input = require('../../lib/in.js').input,
    body = '',
    chord,
    contenttype = 'text/plain',
    xml = [];

  chord = input.getChord(get.chord);
  if (chord) {
    body += mojo.guitar.printChord(chord, 'tab');
  } else {
    body += "it's teh jazzz!";
  }
  
  switch (get.out) {
    case 'json': 
      body = JSON.stringify({
        name: chord,
        tab: body
      });
      //contenttype = 'application/json';
      break;
    case 'xml':
      xml.push('<?xml version="1.0" encoding="UTF-8" ?>');
      xml.push('<chord>');
      xml.push('<name>' + chord + '</name>');
      xml.push('<tab>\n'  + body  + '\n</tab>');      
      xml.push('</chord>');
      body = xml.join('\n');
      contenttype = 'text/xml';
      break;
  }
  
  res.writeHead(200, {'Content-Type': contenttype});
  res.end(body);

  console.log(get);

}).listen(1337, "127.0.0.1");
console.log('Server running at http://127.0.0.1:1337/');




